Bio::Graphics::Glyph::spectrogram(3pm)

NAME
Bio::Graphics::Glyph::spectrogram - The "spectrogram" glyph

SYNOPSIS
  See L<Bio::Graphics::Panel>, L<Bio::Graphics::Glyph>
      and L<Bio::Graphics::Browser::Plugin::Spectrogram>

DESCRIPTION
This glyph is designed to draw DNA spectrograms for the Spectrogram plugin. It is not meant to be used as a standalone glyph and has few public options. Most of the glyph's behavior is controlled via the spectrogram plugin.

The glyph expects unaggregated 1D spectrogram features, each of which is a vertical column, with one row for each integer frequency. The number of frequencies is controlled by the window size and/or the Spectrogram plugin. The width of the feature corresponds to the size of the overlap between adjacent windows. The values for each frequency are in four channels, one for each base. The color of each row ("spot") represents the dominant base(s) and the intensity represents the magnitude of the signal at that frequency

The entire 2D spectrogram is a series of unaggregated, unbumped 1D spectrogram features.

The spectrogram glyph assigns colors using the HSV color space, where an angular coordinate for hue is assigned to each base (G yellow [60]; A blue [240]; C green [120]; T red[0/360]). The saturation value is fixed at the maximum of 100 and the brightness value is scaled according to the magnitude for each frequency, ranging from black to the pure hue.

The hue is determined in one of two ways:

If the signal for one base is dominant (> 50% of total for the four channels) the angular coordinate for that base is used. The brightness is calculated using the total signal from all four channels.

If no base has a dominant signal, the weighted average angular coordinate is calculated using the relative contribution from each channel. The brightness is calculated from the total signal from all four channels.

The y-axis labels require at least 40 pixels of left-padding. They will be truncated if less than 40 of padding is specified in the configuration file.

  OPTIONS
The following standard options are accepted:

  Option      Description                      Default
  ------      -----------                      -------

  -height     Height of glyph                  calculated

  -bump       Whether to bump features         off

The following glyph-specific options are also used:

  -win        window size used to calculate    calculated
              the spectrogram values

BUGS
Please report them.

AUTHOR
Sheldon McKay <mckays@cshl.org>.

Copyright (c) 2006 Cold Spring Harbor Laboratory

This package and its accompanying libraries is free software; you can redistribute it and/or modify it under the terms of the GPL (either version 1, or at your option, any later version) or the Artistic License 2.0. Refer to LICENSE for the full license text. In addition, please see DISCLAIMER.txt for disclaimers of warranty.